Name: jdkgcj
Version: 0.2.3
Release: alt2

Summary: A free Java SDK
License: GPL
Group: Development/Java
Url: http://www.arklinux.org/projects/%name
Packager: AEN <aen@altlinux.ru>
BuildArch: noarch

Source: javac
Source1: java
Source2: jni.h
Source3: jvmpi.h

Requires: gcc%__gcc_version_base-java = %__gcc_version
BuildPreReq: gcc%__gcc_version_base-java

%description
This package provides an interface to gcj that is compatible with the
Sun and IBM Java Development Kits (JDKs), i.e.
javac, java and javah tools as well as jni.h and jvmpi.h,
allowing you to compile java extensions using JNI.

%install
specdir=`gcj -v 2>&1 |%__sed -ne 's,^Reading specs from \(%_libdir/gcc-lib/[^/]\+/[^/]\+\)/specs.*,\1,pg'`
[ -n "$specdir" ]

%__mkdir_p $RPM_BUILD_ROOT{%_bindir,%_includedir}

%__install -p -m755 %SOURCE0 %SOURCE1 $RPM_BUILD_ROOT%_bindir/
%__subst -p 's/@GCCVER@/%__gcc_version/g' $RPM_BUILD_ROOT%_bindir/*
%__ln_s gcjh $RPM_BUILD_ROOT%_bindir/javah

for n in java javax; do
	%__ln_s "$specdir/include/$n" $RPM_BUILD_ROOT%_includedir/
done
%__install -p -m644 %SOURCE2 %SOURCE3 $RPM_BUILD_ROOT%_includedir/

%files
%_bindir/*
%_includedir/*

%changelog
* Tue Nov 12 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-alt2
- Specfile cleanup.
- Use libgcj version in emulation scripts.
- Fixed tmp handling in java emulation.

* Mon Nov 11 2002 AEN <aen@altlinux.ru> 0.2.3-alt1
- first build (RH package)

* Mon Jul 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.2.3-1
- Adapt to gcc 3.2 (#69948)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.2.2-1
- Handle weirdo options like "-D ."

* Wed Jun 12 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.2.1-1
- Fix passing of parameters containing spaces or quotes to java
  applications.

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.2.0-1
- Replace the java->gij symlink with a script that translates
  java options to gij options (allowing stuff like
  java -classpath "/foo" -Djava.library.path=/bar some/sub/class
  to work)

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.1.1-1
- Fix up default location of gcj jar file

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.1.0-1
- Fix up -d support in javac. It must handle multiple classes per file.

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.0.2-1
- Add support for -d in javac

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.0.1-1
- initial RPM
